![Banner](info/banner.png)

[![PGTechs](https://img.shields.io/static/v1.svg?color=ff0000&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=PG%20Techs&message=YouTube)](https://www.youtube.com/c/PGTechs "ช่อง YouTube ของเรา")
[![PGVCPlus](https://img.shields.io/static/v1.svg?color=0572e6&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=PGVC%2B&message=Facebook)](https://www.facebook.com/PrincegameRVCPlus "เพจข่าวสาร Distributed Computing ของเรา บน Facebook")

อีกหนึ่งแอปพลิเคชันคุณภาพจาก SashaPGT

* ทุกแอปพลิเคชันผ่านการทดสอบติดตั้งและใช้งานใน Test environment ของเรา ทั้งใน Docker container และบน Bare-metal hardware

* ใช้งานได้อย่างสะดวกรวดเร็ว ด้วยสคริปต์ติดตั้งแบบสำเร็จรูป ทั้งเฉพาะผู้ใช้และ System-wide

* รองรับ Linux หลากหลาย Distribution รวมถึง macOS




# sashapgt/string-case-swapper


[![DevelopedOnFedora](https://img.shields.io/static/v1.svg?color=52A2dA&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Developed%20On&message=Fedora%2034%20(GCC%2011.2.1))](https://getfedora.org "Fedora Linux")
[![Language](https://img.shields.io/static/v1.svg?color=004082&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Language&message=C%2B%2B)](https://en.wikipedia.org/wiki/C%2B%2B "C++ Programming Language")
[![IDE](https://img.shields.io/static/v1.svg?color=48bf7f&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=IDE&message=KDevelop%205)](https://kdevelop.org "A cross-platform IDE for C, C++, Python, QML/JavaScript and PHP")

[![TestedOnDebian](https://img.shields.io/static/v1.svg?color=a80030&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Tested%20On&message=Debian%2011%20(GCC%2010.2.1))](https://debian.org "Debian Linux")
[![TestedOnUbuntu](https://img.shields.io/static/v1.svg?color=e95420&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Tested%20On&message=Ubuntu%2020.04%20LTS%20(GCC%209.3.0))](https://ubuntu.com "Ubuntu Linux")

[![TestedOnMac](https://img.shields.io/static/v1.svg?color=eeeeee&labelColor=555555&logoColor=ffffff&style=for-the-badge&label=Tested%20On&message=macOS%20Big%20Sur%20(Clang%2011.0.3))](https://www.apple.com/macos "Apple macOS")

" ให้นักศึกษาเขียนโปรแกรมเพื่อรับข้อมูล String 1 ชุด แล้วแสดงผลลัพธ์โดยเปลี่ยนตัวอักษรตัวพิมพ์เล็กให้กลายเป็นตัวอักษรตัวพิมพ์ใหญ่ และตัวอักษรตัวพิมพ์ใหญ่ กลายเป็นตัวอักษรตัวพิมพ์เล็กเช่นรับข้อมูล AbcDefg จะแสดงผล aBCdEFG"

โปรแกรมจะรับค่า Input แปลง Uppercase เป็น Lowercase และ Lowercase เป็น Uppercase แล้วแสดงผลออกมา

**ตัวอย่างการทำงานของโปรแกรม**

![Screenshot](info/screenshot.png)

# วิธีการติดตั้ง/ใช้งาน
### ติดตั้งแบบปกติ
1. โคลน git นี้

	`$ git clone https://gitlab.com/sashapgt/string-case-swapper.git`

2. cd เข้าโฟลเดอร์ของ git นี้ แล้วรันสคริปต์ติดตั้ง

	`$ cd string-case-swapper && bash install.sh`

3. เรียกใช้จากเทอร์มินัล (Shell autocomplete อาจจะยังไม่ทำงาน กรุณาปิดเทอร์มินัล แล้วเปิดใหม่อีกครั้ง)

	`$ string-case-swapper`
### ใช้งานครั้งเดียว (Build, run และ remove ทันทีเมื่อใช้งานเสร็จโดยอัตโนมัติ)
	$ bash single-use-build-and-run.sh

# ถอนการติดตั้ง


1. รันสคริปต์ถอนการติดตั้งจากในโฟลเดอร์ git นี้

	`$ bash uninstall.sh`

2. ลบโฟลเดอร์ git นี้

# การแก้ปัญหา

หากไม่สามารถรันได้เนื่องจาก Command not found ให้ดูว่ามี ~/.local/bin ใน $PATH หรือไม่
สามารถตรวจสอบได้โดยการ

	echo $PATH

หากไม่มี Home folder ของคุณ ตามด้วย .local/bin ให้เพิ่มบรรทัดนี้ลงใน Shell startup script ของคุณ (เช่น .bashrc .zshrc)

	export PATH="$PATH:$HOME/.local/bin"


